summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2012-02-19 02:09:06 -0600
committer Robby Workman <rworkman@slackbuilds.org>2012-02-20 12:20:44 -0600
commitfa154d67470565ff7725501933fbc57a72cea35e (patch)
treefa7a6662b9d0adf3ff49a8fe1159116e23692fea
parent720d65df0685b74cf5624df3134d47a3ff219d92 (diff)
downloadslackbuilds-fa154d67470565ff7725501933fbc57a72cea35e.tar.gz
slackbuilds-fa154d67470565ff7725501933fbc57a72cea35e.tar.xz
libraries/libcacard: Added (Virtual Smart Card Emulator library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/libcacard/README6
-rw-r--r--libraries/libcacard/libcacard.SlackBuild81
-rw-r--r--libraries/libcacard/libcacard.info10
-rw-r--r--libraries/libcacard/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/libraries/libcacard/README b/libraries/libcacard/README
new file mode 100644
index 0000000000..4a9bf1291e
--- /dev/null
+++ b/libraries/libcacard/README
@@ -0,0 +1,6 @@
+libcacard (Virtual Smart Card Emulator library)
+
+This emulator is designed to provide emulation of actual smart cards
+to a virtual card reader running in a guest virtual machine. The
+emulates smart cards can be representations of real smart cards, or
+the cards could be pure software constructs.
diff --git a/libraries/libcacard/libcacard.SlackBuild b/libraries/libcacard/libcacard.SlackBuild
new file mode 100644
index 0000000000..9f6920b8ec
--- /dev/null
+++ b/libraries/libcacard/libcacard.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for libcacard
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=libcacard
+VERSION=${VERSION:-20110223_2772885}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libcacard/libcacard.info b/libraries/libcacard/libcacard.info
new file mode 100644
index 0000000000..bec8b97964
--- /dev/null
+++ b/libraries/libcacard/libcacard.info
@@ -0,0 +1,10 @@
+PRGNAM="libcacard"
+VERSION="20110223_2772885"
+HOMEPAGE="http://spice-space.org"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/libcacard-20110223_2772885.tar.xz"
+MD5SUM="e073322e246a751ef17955a1594cd298"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libcacard/slack-desc b/libraries/libcacard/slack-desc
new file mode 100644
index 0000000000..303bf2bb60
--- /dev/null
+++ b/libraries/libcacard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libcacard: libcacard (Virtual Smart Card Emulator library)
+libcacard:
+libcacard: This emulator is designed to provide emulation of actual smart cards
+libcacard: to a virtual card reader running in a guest virtual machine. The
+libcacard: emulates smart cards can be representations of real smart cards, or
+libcacard: the cards could be pure software constructs.
+libcacard:
+libcacard: Homepage: http://spice-space.org
+libcacard:
+libcacard:
+libcacard: